package model

import (
	"gorm.io/plugin/soft_delete"
	"time"
)

type SubmitInfo struct {
	ID        uint `gorm:"primarykey"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt soft_delete.DeletedAt `gorm:"column:deleted_at;type:int(11)"`
	FirstName string                `gorm:"column:first_name;comment:姓"`
	LastName  string                `gorm:"column:last_name;comment:名"`
	Email     string                `gorm:"column:email;comment:邮箱"`
	Company   string                `gorm:"column:company;comment:公司"`
	Phone     string                `gorm:"column:phone;comment:电话"`
}
